Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 222

Summary: Screen doesn't support SIGWINCH
Product: [Retired] Red Hat Linux Reporter: Marc MERLIN <marc_soft>
Component: screenAssignee: Crutcher Dunnavant <crutcher>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-01-20 15:04:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Marc MERLIN 1998-11-29 01:11:00 UTC
Forward of an old unfixed bug report to bugzilla

Screen, as shipped with 5.0, 5.1, and 5.2 doesn't support
SIGWINCH (this means that using mc inside an xterm, resizing
it, and typing CTRL-O twice doesn't resize
mc).

This makes screen more or less useless for
me.
I ported the debian diffs against the same tarball and those
diffs work fine.

Comment 1 Derek Tattersall 1998-12-08 16:31:59 UTC
Yes, behaves as reported.  mc does not resize after CTRL-O CTRL-O

Comment 2 Jeff Johnson 1999-01-20 15:04:59 UTC
This problem has been fixed in screen-3.7.6-1. Recompile from
the source rpm in Raw Hide
	rpm --rebuild screen-3.7.6-1.src.rpm
abd install the binary rpm's if you want the fix.

Comment 3 IBM Bug Proxy 2003-06-26 18:09:16 UTC
"test from form"